# Send Quick Reply

Our platform allows you to send quick reply from the embedded functions. A Quick Reply allows you to send a text message with suggestion buttons. Each button can take you to different story point

```
ctx.sendQuickReply("This is a test", 
     [{
       "title" : "<Button Title 1>",
       "jumpTo": "<NODE LABEL>"
      }, {
       "title" : "<Button Title 2>",
       "jumpTo": "<NODE LABEL2>"
      }]
)
```

It is also possible to set variables on click of a buttons. Please refer to the code below

```
ctx.sendQuickReply("This is a test", 
     [{
		"title": "<Button Title 1>",
		"jumpTo": "<NODE LABEL>",
		"variables": [{
			"key": "#service_id",
			"variableType": "Text",
			"value": "value1"
		}]
	}, {
		"title": "<Button Title 2>",
		"jumpTo": "<NODE LABEL2>",
		"variables": [{
			"key": "#service_id",
			"variableType": "Text",
			"value": "value2"
		}]
	}
     }]
)
```

{% content-ref url="/pages/4Y641tEgpTnsYS6v0qYV" %}
[Set Variables](/platform/embedded-functions/set-variables.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.konverse.ai/platform/embedded-functions/send-quick-reply.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
